Name:           ocaml-num
Version:        1.1
Release:        %mkrel 8
Summary:        Legacy Num library for arbitrary-precision integer and rational arithmetic
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/ocaml/num
Source0:        https://github.com/ocaml/num/archive/v%{version}/%{name}-%{version}.tar.gz

# Downstream patch to make DESTDIR installs work.
Patch1:         0001-install-Use-DESTDIR.patch
# Downstream patches to add -g flag.
Patch2:         0002-toplevel-Add-g-flag.patch
Patch3:         0003-src-Add-g-flag-to-mklib.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel


%description
This library implements arbitrary-precision arithmetic on big integers
and on rationals.

This is a legacy library. It used to be part of the core OCaml
distribution (in otherlibs/num) but is now distributed separately. New
applications that need arbitrary-precision arithmetic should use the
Zarith library (https://github.com/ocaml/Zarith) instead of the Num
library, and older applications that already use Num are encouraged to
switch to Zarith. Zarith delivers much better performance than Num and
has a nicer API.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n num-%{version}
%autopatch -p1


%build
%make_build all


%check
make -j1 test


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

find $OCAMLFIND_DESTDIR -name '*.cmti' -delete


%files
%doc Changelog README.md
%license LICENSE
%{_libdir}/ocaml/*.cmi
%{_libdir}/ocaml/*.cma
%{_libdir}/ocaml/*.cmxs
%{_libdir}/ocaml/num
%{_libdir}/ocaml/num-top
%{_libdir}/ocaml/stublibs/dll*.so


%files devel
%license LICENSE
%{_libdir}/ocaml/*.a
%{_libdir}/ocaml/*.cmxa
%{_libdir}/ocaml/*.cmx
%{_libdir}/ocaml/*.mli


%changelog
* Sat Aug 22 2020 tv <tv> 1.1-8.mga8
+ Revision: 1617825
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.1-7.mga8
+ Revision: 1551165
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.1-6.mga8
+ Revision: 1543575
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.1-5.mga8
+ Revision: 1481947
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.1-4.mga7
+ Revision: 1324054
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.1-3.mga7
+ Revision: 1323769
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1299901
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 tv <tv> 1.1-1.mga7
+ Revision: 1180065
- imported package ocaml-num

